> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-cms/13.latest/reference/querying/ipublishedcontent.md).

# IPublishedContent

*`IPublishedContent` is a strongly typed model for content, media and members and is used to render content in your views for your website.*

## Get started

To access the current page in your templates, copy-paste the below Razor code.

```csharp
@{
    var pageName = Model.Name;
    var childPages = Model.Children;
}

<h1>@pageName</h1>
```

## [Properties & Extension Methods](/umbraco-cms/13.latest/reference/querying/ipublishedcontent/properties.md)

Listing and explanation of IPublishedContent properties and standard helpers for Content and Media.

## [Collections & Filtering](/umbraco-cms/13.latest/reference/querying/ipublishedcontent/collections.md)

Methods for IPublishedContent collections and filtering.

## [IsHelpers](/umbraco-cms/13.latest/reference/querying/ipublishedcontent/ishelpers.md)

A library of extension methods to simplify working with IPublishedContent in collections to modify your HTML output. Examples of using `IsHelpers` could be injecting CSS classes for alternating rows or to modify margins.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbraco.com/umbraco-cms/13.latest/reference/querying/ipublishedcontent.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
